Skip to main content
GET
/
v3
/
messages
List messages
curl --request GET \
  --url https://api.wavix.com/v3/messages \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "charge": "0.0475",
      "delivered_at": "2023-08-29T12:32:45.000Z",
      "direction": "outbound",
      "error_message": null,
      "from": "Sender ID.",
      "mcc": "234",
      "message_body": {
        "text": "Please call me back",
        "media": null
      },
      "message_id": "3a525ca2-6909-4c72-9399-905adf7f3a74",
      "message_type": "sms",
      "mnc": "024",
      "segments": 1,
      "sent_at": "2023-08-29T12:32:44.000Z",
      "status": "delivered",
      "submitted_at": "2023-08-29T12:32:44.000Z",
      "carrier_fees": "0.0",
      "tag": null,
      "to": "447537151866"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 10,
    "total": 1,
    "total_pages": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Query Parameters

sent_after
string

Start date in YYYY-MM-DD format.

Example:

"2023-04-10"

sent_before
string

End date in YYYY-MM-DD format.

Example:

"2023-04-13"

type
string
required

Message direction for filtering. Allowed values are inbound, outbound.

Example:

"outbound"

from
string

Message sender. For outbound messages, the Sender ID used to send the message; for inbound messages, the originating phone number.

Example:

"15072429497"

to
string

Recipient phone number. For outbound messages, the destination phone number; for inbound messages, an SMS-enabled number on the Wavix platform.

Example:

"16419252149"

status
enum<string>

Message delivery status for filtering. Message delivery status.

Available options:
accepted,
pending,
sent,
delivered,
undelivered,
expired,
rejected,
dlr_expired
tag
string

Tag for filtering. Supported for outbound messages only.

Example:

"campaignX"

message_type
enum<string>

Message type for filtering. Allowed values are sms, mms.

Available options:
sms,
mms
Example:

"sms"

page
integer<int32>

Page number to retrieve.

Example:

2

per_page
integer<int32>

Number of records per page.

Example:

50

Response

List of messages.

items
Message · object[]
required
pagination
Pagination · object
required